Bug 7221 - DelBiblio POD is incorrect
Summary: DelBiblio POD is incorrect
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Joy Nelson
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-14 16:54 UTC by Ian Walls
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch file (807 bytes, patch)
2011-11-14 18:56 UTC, Joy Nelson
Details | Diff | Splinter Review
Signed off patch (867 bytes, patch)
2011-11-14 19:02 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-11-14 16:54:38 UTC
C4::Biblio::DelBiblio's in-line documentation says it takes two params, $dbh and $biblionumber, but in reality, it only takes $biblionumber.  Attempting to pass this extra param in a script will result in that script's failure.
Comment 1 Joy Nelson 2011-11-14 18:56:48 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2011-11-14 19:02:57 UTC
Created attachment 6305 [details] [review]
Signed off patch

Signed off patch... assigning to Jonathan for QA (since it's been just ByWater thus far in the writing/testing process)
Comment 3 Paul Poulain 2011-11-17 15:54:35 UTC
tiny patch, pushed. worth porting to 3.6

Joy, welcome into the list of commiters, you're 160th ! (and added in doc/history.txt file)
Comment 4 Joy Nelson 2011-11-17 20:02:59 UTC
Paul - 
I'm actually already listed in history.txt as #156 on 9/23/2011.  This is my second patch.  Still worthy of celebration!!
Thanks,
Joy

(In reply to comment #3)
> tiny patch, pushed. worth porting to 3.6
> 
> Joy, welcome into the list of commiters, you're 160th ! (and added in
> doc/history.txt file)
Comment 5 Paul Poulain 2011-11-21 13:21:26 UTC
(In reply to comment #4)
> Paul - 
> I'm actually already listed in history.txt as #156 on 9/23/2011.  This is my
> second patch.
oups... how could I miss you ? i've cancelled the commiter #160 line